CRAN Package Check Results for Package psychometric

Last updated on 2015-04-02 05:49:44.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.2 1.52 15.48 17.00 NOTE
r-devel-linux-x86_64-debian-gcc 2.2 1.19 15.22 16.40 NOTE
r-devel-linux-x86_64-fedora-clang 2.2 32.33 NOTE
r-devel-linux-x86_64-fedora-gcc 2.2 33.13 NOTE
r-devel-osx-x86_64-clang 2.2 38.24 NOTE
r-prerel-windows-ix86+x86_64 2.2 6.00 27.00 33.00 NOTE
r-prerel-linux-x86_64 2.2 1.18 15.34 16.52 NOTE
r-prerel-solaris-sparc 2.2 215.20 NOTE
r-prerel-solaris-x86 2.2 46.90 NOTE
r-release-linux-x86_64 2.2 1.52 19.16 20.68 NOTE
r-release-osx-x86_64-mavericks 2.2 NOTE
r-release-osx-x86_64-snowleopard 2.2 ERROR
r-release-windows-ix86+x86_64 2.2 6.00 33.00 39.00 NOTE
r-oldrel-windows-ix86+x86_64 2.2 6.00 30.00 36.00 NOTE

Check Details

Version: 2.2
Check: DESCRIPTION meta-information
Result: NOTE
    Malformed Description field: should contain one or more complete sentences.
    Packages listed in more than one of Depends, Imports, Suggests, Enhances:
     ‘multilevel’ ‘nlme’
    A package should be listed in only one of these fields.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-prerel-windows-ix86+x86_64, r-prerel-linux-x86_64, r-prerel-solaris-sparc, r-prerel-solaris-x86

Version: 2.2
Check: top-level files
Result: NOTE
    Non-standard file/directory found at top level:
     ‘README.txt’
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-prerel-linux-x86_64, r-release-linux-x86_64

Version: 2.2
Check: dependencies in R code
Result: NOTE
    'library' or 'require' calls to packages already attached by Depends:
     ‘multilevel’ ‘nlme’
     Please remove these calls from your code.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-prerel-windows-ix86+x86_64, r-prerel-linux-x86_64, r-prerel-solaris-sparc, r-prerel-solaris-x86, r-release-linux-x86_64, r-release-windows-ix86+x86_64

Version: 2.2
Check: R code for possible problems
Result: NOTE
    Found the following calls to attach():
    File ‘psychometric/R/ICC1.CI.R’:
     attach(data)
    File ‘psychometric/R/ICC1.lme.R’:
     attach(data)
    File ‘psychometric/R/ICC2.CI.R’:
     attach(data)
    File ‘psychometric/R/ICC2.lme.R’:
     attach(data)
    See section ‘Good practice’ in ‘?attach’.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-prerel-linux-x86_64, r-release-linux-x86_64

Version: 2.2
Check: DESCRIPTION meta-information
Result: NOTE
    Packages listed in more than one of Depends, Imports, Suggests, Enhances:
     ‘multilevel’ ‘nlme’
    A package should be listed in only one of these fields.
Flavors: r-release-linux-x86_64, r-release-osx-x86_64-mavericks, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 2.2
Check: dependencies in R code
Result: NOTE
    'library' or 'require' calls to packages already attached by Depends:
     ‘multilevel’ ‘nlme’
     Please remove these calls from your code.
    See the information on DESCRIPTION files in the chapter ‘Creating R
    packages’ of the ‘Writing R Extensions’ manual.
Flavors: r-release-osx-x86_64-mavericks, r-oldrel-windows-ix86+x86_64

Version: 2.2
Check: whether package can be installed
Result: ERROR
    Installation failed.
Flavor: r-release-osx-x86_64-snowleopard